iscsi-target plugin install error

    • OMV 1.0
    • Resolved

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • iscsi-target plugin install error

      Hello,

      Running the OMV version 1.0.6 and trying to install the iscsi-target plugin I got the error bellow but installing on another machine with OMV 0.5.4 it was successfull.

      Error Message:

      Source Code

      1. Failed to execute command 'export LANG=C; invoke-rc.d 'iscsitarget' start 2>&1': Starting iSCSI enterprise target service:FATAL: Module iscsi_trgt not found. failed! invoke-rc.d: initscript iscsitarget, action "start" failed.


      and the details:

      Source Code

      1. Error #4000: exception 'OMVException' with message 'Failed to execute command 'export LANG=C; invoke-rc.d 'iscsitarget' start 2>&1': Starting iSCSI enterprise target service:FATAL: Module iscsi_trgt not found. failed! invoke-rc.d: initscript iscsitarget, action "start" failed.' in /usr/share/php/openmediavault/initscript.inc:169 Stack trace: #0 /usr/share/php/openmediavault/initscript.inc(141): OMVSysVInitScript->invoke('start') #1 /usr/share/php/openmediavault/initscript.inc(61): OMVSysVInitScript->start() #2 /usr/share/openmediavault/engined/module/iscsitarget.inc(91): OMVSysVInitScript->exec() #3 /usr/share/openmediavault/engined/rpc/config.inc(206): OMVModuleIscsiTarget->startService() #4 [internal function]: OMVRpcServiceConfig->applyChanges(Array, Array) #5 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #6 /usr/share/php/openmediavault/rpcservice.inc(158): OMVRpcServiceAbstract->callMethod('applyChanges', Array, Array) #7 /usr/share/openmediavault/engined/rpc/config.inc(224): OMVRpcServiceAbstract->callMethodBg('applyChanges', Array, Array) #8 [internal function]: OMVRpcServiceConfig->applyChangesBg(Array, Array) #9 /usr/share/php/openmediavault/rpcservice.inc(125): call_user_func_array(Array, Array) #10 /usr/share/php/openmediavault/rpc.inc(79): OMVRpcServiceAbstract->callMethod('applyChangesBg', Array, Array) #11 /usr/sbin/omv-engined(495): OMVRpc::exec('Config', 'applyChangesBg', Array, Array, 1) #12 {main}


      Please help with this error!
      Thanks.
      omv 1.16 kralizec | 64 bit | omvextrasorg 1.15

      24hoursofhappy.com/
    • Re: iscsi-target plugin install error

      What kernel are you using? 3.2 or 3.14?
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Re: iscsi-target plugin install error

      Did you reboot after you installed? I had the same problem after installing the plugin but a reboot fixed it.
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Re: iscsi-target plugin install error

      Try:

      Source Code

      1. apt-get install module-assistant debhelper build-essential
      2. m-a a-i iscsitarget
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Re: iscsi-target plugin install error

      Still wish I knew why that had to be done... Glad it is working :)
      omv 4.1.14 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi, I'm trying to enable iscsi target on Raspberry Pi OMV.
      But module-assistant(m-a -t a-i iscsitarget) complaints:

      Bad luck, the kernel headers for the target kernel version could not be found
      and you did not specify other valid kernel headers to use.

      If the running kernel has been shipped with the Debian distribution, please
      install the package linux-headers-3.12.28+. If your kernel source tree (or
      headers) is located in some non-usual location, please set the KERNELDIRS
      environment variable to the path of this directory, or (alternatively) specify
      the source directory we build for with the --kernel-dir option in
      module-assistant calls.


      I searched and tried to install linux-headers-3.12.28+, but apt-get cannot find the package location.
      It seems different from rasbian header package.

      Did anyone succeed in install of iscsitarget-dkms and enabled on Raspberry Pi?

      I downloaded omv_1.0.23_rpi_4gb.img.gz and updated to 1.0.27.3 via omv-update.

      The post was edited 2 times, last by minish ().

    • hello

      resolue i reinstall the plug in Iscsi it's ok

      i same probleme or

      i execute this command :



      apt-get install module-assistant debhelper build-essential > OK
      m-a a-i iscsitarget > NOK

      error :

      [IMG:http://img4.hostingpics.net/pics/292047iscsiomverror.jpg]


      root@srv-san:~# m-a a-i iscsitarget

      Données de 1 paquets mises à jour
      Récupération des sources du noyau de la version : 3.2.0-4-686-pae
      En-têtes du noyau disponibles dans /lib/modules/3.2.0-4-686-pae/build
      Création du lien symbolique...
      apt-get install build-essential
      Lecture des listes de paquets... Fait
      Construction de l'arbre des dépendances
      Lecture des informations d'état... Fait
      build-essential est déjà la plus récente version disponible.
      0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.

      Fait.
      unpack
      The source tarball could not be found!
      Package iscsitarget not installed?
      Running "m-a -f get iscsitarget" may help.
      "/usr/share/modass/packages/default.sh" build KVERS=3.2.0-4-686-pae KSRC=/lib/modules/3.2.0-4-686-pae/build KDREV=3.2.63-2 kdist_image
      find: "/usr/src/modules/iscsitarget*": Aucun fichier ou dossier de ce type

      my kernel :

      root@srv-san:~# uname -r
      3.2.0-4-686-pae

      version omv : 1.0.29


      thx

      The post was edited 2 times, last by slybreiz ().


    • Did you get it working? I been trying to get iscsitarget work on 3.14
      kernel but version included does not compile on kernel above 3.8 (or
      3.6, dont remember now) and newer one from debian ftp gets me into
      dependency hell


      Sorry for a long time offline.
      I have been sucesfull in pull the kernel code for OMV on Raspberry-Pi and tried to build.
      But unfortunately build was failed with following compile error:

      Source Code

      1. /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c: In function ‘worker_thread’:
      2. /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:77:3: error: implicit declaration of function ‘get_io_context’ [-Werror=implicit-function-declaration]
      3. /var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.c:77:21: warning: assignment makes pointer from integer without a cast [enabled by default]
      4. cc1: some warnings being treated as errors
      5. scripts/Makefile.build:308: recipe for target '/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o' failed
      6. make[2]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel/wthread.o] Error 1
      7. scripts/Makefile.build:455: recipe for target '/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel' failed
      8. make[1]: *** [/var/lib/dkms/iscsitarget/1.4.20.2/build/kernel] Error 2
      9. Makefile:1230: recipe for target '_module_/var/lib/dkms/iscsitarget/1.4.20.2/build' failed
      10. make: *** [_module_/var/lib/dkms/iscsitarget/1.4.20.2/build] Error 2


      I look around iscsitarget source and I have noticed the code was based on old kernel.
      The dkms iscsitarget code needs some patches for newer OMV kernel that which are available in Ubuntu code.
      I do not sill try Ubuntu iscsitarget-dkms code which will have includes pathes for the newer kernel.
    • Finally, I have been successful in installation of iscsitarget-dkms module on OMV 1.3 with Raspberry Pi!
      I downloaded iscsitarget-dkms_1.4.20.3+svn490-2ubuntu1_all.deb from Ubuntu mirror and installed it with 'dpkg i'.

      Source Code

      1. root@raspberrypi:~# uname -a
      2. Linux raspberrypi 3.12.28+ #713 PREEMPT Fri Sep 19 16:43:32 BST 2014 armv6l GNU/Linux
      3. root@raspberrypi:~# lsmod | grep iscsi_trgt
      4. iscsi_trgt 109732 0
      5. root@raspberrypi:~# dpkg -l | grep iscsitarget-dkms
      6. ii iscsitarget-dkms 1.4.20.3+svn490-2ubuntu1 all iSCSI Enterprise Target kernel module source - dkms version


      But still ietd complains and will not start.

      Source Code

      1. Nov 30 17:31:02 raspberrypi ietd: kernel module version mismatch!